Skip to main content
`Ctrl`+`K`

# DMAdaptorMonitorErrorDraw

Plots the error at each iteration of an iterative solver.

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorMonitorErrorDraw(DMAdaptor adaptor, PetscInt n, DM odm, DM adm, PetscInt Nf, PetscReal enorms[], Vec error, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- adaptor - the `DMAdaptor`

- n - iteration number

- odm - the original `DM`

- adm - the adapted `DM`

- Nf - number of fields

- enorms - 2-norm error values for each field (may be estimated).

- error - `Vec` of cellwise errors

- vf - The viewer context

## Options Database Key

- -adaptor_monitor_error draw - Activates `DMAdaptorMonitorErrorDraw()`

## Note

This is not called directly by users, rather one calls `DMAdaptorMonitorSet()`, with this function as an argument, to cause the monitor to be used during the adaptation loop.

## See Also

SNES: Nonlinear Solvers, `PETSCVIEWERDRAW`, `DMAdaptor`, `DMAdaptorMonitorSet()`, `DMAdaptorMonitorErrorDrawLG()`

## Level

intermediate

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages